Name:		awesome
Version:	2.3.2
Release:	7%{?dist}
Summary:	Extremely fast, small, dynamic and awesome floating and tiling window manager
Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://awesome.naquadah.org
Source0:	http://awesome.naquadah.org/download/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	pango-devel, cairo-devel, imlib2-devel, asciidoc, xmlto
BuildRequires:	libX11-devel, libXrandr-devel, libconfuse-devel >= 2.6
BuildRequires:	libXinerama-devel


%description
In this Window Manager windows can be managed in several layouts: 
tiled, maximized, dwindle, spiral, floating. Each layout can be 
applied on-the-fly, optimizing the environment for the application 
in use and the task performed.

Managing windows in tiled mode assures that no space will be wasted 
on the screen. No gaps, no overlap. Other layouts can be used for 
different purpose.

Floating layout which will let organize windows like any other window 
manager is still present.


%prep
%setup -q


%build
%configure --docdir=%{_datadir}/doc/%{name}-%{version}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install 

install -m 0755 -d %{buildroot}%{_datadir}/xsessions
install -m 0644 -p %{SOURCE1} %{buildroot}%{_datadir}/xsessions/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README STYLE UPGRADE awesomerc LICENSE
%{_bindir}/awesome
%{_bindir}/awesome-client
%{_bindir}/awesome-menu
%{_bindir}/awesome-message
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/awesome16.png
%{_datadir}/%{name}/icons/awesome32.png
%{_datadir}/%{name}/icons/awesome48.png
%{_datadir}/%{name}/icons/awesome64.png
%{_datadir}/%{name}/icons/layouts/dwindle.png
%{_datadir}/%{name}/icons/layouts/dwindlew.png
%{_datadir}/%{name}/icons/layouts/floating.png
%{_datadir}/%{name}/icons/layouts/floatingw.png
%{_datadir}/%{name}/icons/layouts/max.png
%{_datadir}/%{name}/icons/layouts/maxw.png
%{_datadir}/%{name}/icons/layouts/spiral.png
%{_datadir}/%{name}/icons/layouts/spiralw.png
%{_datadir}/%{name}/icons/layouts/tile.png
%{_datadir}/%{name}/icons/layouts/tilebottom.png
%{_datadir}/%{name}/icons/layouts/tilebottomw.png
%{_datadir}/%{name}/icons/layouts/tileleft.png
%{_datadir}/%{name}/icons/layouts/tileleftw.png
%{_datadir}/%{name}/icons/layouts/tiletop.png
%{_datadir}/%{name}/icons/layouts/tiletopw.png
%{_datadir}/%{name}/icons/layouts/tilew.png
%{_mandir}/man?/%{name}*
%{_datadir}/xsessions/%{name}.desktop


%changelog
* Thu Jul 17 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-7
- after some discussion I removed explicit dependency on libconfuse >= 2.6;
  the thing is that awesome runs fine with libconfuse-2.5 but does not 
  build with < 2.6. Some build-time hack might be possible but I am obviously
  not going to be involved in this auto*magic. (thx Hans Ulrich Niedermann)

* Wed Jul 16 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-6
- added libXinerama-devel, hopefully last BuildRequire

* Wed Jul 16 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-5
- by mistake I removed BuildRequire on libconfuse-devel, 
  now is back again (thanks Mamoru Tasaka)

* Tue Jul 15 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-4
- small polishing in %%doc line

* Mon Jul 14 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-3
- removed redundant libconfuse-devel in BuildRequires
- %%{__install} .desktop file instead of install via desktop-file-install
- changed the license to GPLv2+
- changes in .desktop file
- updated --docdir to include %%{version} too

* Thu Jul 10 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-2
- bumped libconfuse BuildDependency to insist on version 2.6
- changed buildroot to not to have random one
- enhanced %%description

* Thu Jul 3 2008 Michal Nowak <mnowak@redhat.com> 2.3.2-1
- version bump
- add libconfuse-devel as a build dep.
- removed Fedora as a vendor from .desktop file

* Sun Jun 22 2008 Michal Nowak <mnowak@redhat.com> 2.3.1-1
- Initial package

